#include <bits/stdc++.h>
using namespace std;

int main() {
    ifstream f1("tonguoc.inp");
    ofstream f2 ("tonguoc.out");
	int n;
	int s = 0;
	
	f1 >> n;
	for (int i = 1; i <= sqrt(n); i++) {
		if (n % i == 0) {
			int j = n/i;
			if (i == j) {
				s = s + i;
			} else {
				s = s + i + j;
			}
		}
	}
	f2 << (s - n);
	
	return 0;	
}
